## modem-cmd 0.0.2

=== Makefile ===
BIN = modem-cmd

all: $(BIN)

clean:
	rm -f $(BIN) *~ *.o

## modem-cmd 0.0.1

=== debian/changelog ===
modem-cmd (0.0.1) unstable; urgency=low

  * Initial release.  (Closes: #559774)

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 07 Dec 2009 02:28:56 +0100

=== debian/control ===
Source: modem-cmd
Section: comm
Priority: extra
Maintainer: Robert Millan <rmh.debian@aybabtu.com>
Build-Depends: cdbs, debhelper (>= 7)
Standards-Version: 3.7.3

Package: modem-cmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: send arbitrary AT commands to your modem
 modem-cmd can be used to send arbitrary AT commands to a modem device over
 a serial line.
 .
 This means it can be used as a phone dialer:
 .
 $ modem-cmd /dev/ttyUSB0 ATDT123456

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

## modem-cmd 0.0.2

=== debian/changelog ===
modem-cmd (0.0.2) unstable; urgency=low

  * New maintainer (Closes: #594372).
  * Bump to Standards-Version 3.9.3.
  * Bump debhelper compta version.
  * Update copyright file.
  * Add Vcs-{Browser,Git} pointing to collab-maint/modem-cmd.git.
  * Added manual page.
  * debian/control: Added debhelper, removed cdbs.
  * debian/rules: Switched to debhelper.

 -- Khalid El Fathi <khalid@elfathi.fr>  Thu, 08 Mar 2012 17:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: modem-cmd
 Section: comm
 Priority: extra
-Maintainer: Robert Millan <rmh.debian@aybabtu.com>
-Build-Depends: cdbs, debhelper (>= 7)
-Standards-Version: 3.7.3
+Maintainer: Khalid El Fathi <khalid@elfathi.fr>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/collab-maint/modem-cmd.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/modem-cmd.git;a=summary
 
 Package: modem-cmd
 Architecture: any

## modem-cmd 0.0.3

=== debian/changelog ===
modem-cmd (0.0.3) unstable; urgency=low

  * QA upload.
  * Change maintainer to Debian QA Group.  Orphaned in
    BTS report #858660.
  * Correct d/copyright formatting.
  * Changed Standards-Version from 3.9.3 to 4.0.0.
  * Added d/gbp.conf to enforce the use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jul 2017 14:13:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: modem-cmd
 Section: comm
 Priority: extra
-Maintainer: Khalid El Fathi <khalid@elfathi.fr>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 4.0.0
 Vcs-Git: git://git.debian.org/git/collab-maint/modem-cmd.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/modem-cmd.git;a=summary

## modem-cmd 1.0.2

=== requirements.txt ===
pyserial>=2.6

=== debian/changelog ===
modem-cmd (1.0.2-4) unstable; urgency=medium

  * Fix d/watch issue
  * d/control:
    - Bump Standards-Version to 4.6.1.0
    - Add Rules-Requires-Root: no
    - Use debhelper to replace debian/compat
  * d/copyright:
    - Update copyright year

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Dec 2022 14:11:24 +0800

modem-cmd (1.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ SZ Lin (林上智) ]
  * Add upstream metadata
  * d/control:
    - Bump Standards-Version to 4.2.1

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 20 Dec 2018 15:16:27 +0800

modem-cmd (1.0.2-2) unstable; urgency=medium

  * d/control: change arch. type to all
  *            bump Standards-Version to 4.1.4
  *            bump debhelper to 11
  *            change VCS to salsa
  *            add missing build dependency: dh-python (Closes: #896799)
  *            update priority to optional
  * d/compat: bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 24 Apr 2018 19:11:56 +0800

modem-cmd (1.0.2-1) unstable; urgency=medium

  * New maintainer (Closes: #858660).
  * Import new upstream (conceptual fork with backward compatible).
  * Drop native Debian package.
  * Support read multiline response (Closes: #782490).
  * Change git packaging mechanism from gbp to git-dpm.
  * Change source format from native to quilt.
  * Bump compat version to 10.

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 21 Jul 2017 15:30:01 +0800

=== debian/control ===
Source: modem-cmd
Section: comm
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3,
               python3-setuptools,
               python3-serial (>= 2.6),
               dh-python
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Homepage: https://github.com/imZack/modem-cmd
Vcs-Git: https://salsa.debian.org/debian/modem-cmd.git
Vcs-Browser: https://salsa.debian.org/debian/modem-cmd

Package: modem-cmd
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3,
         python3-serial (>= 2.6)
Description: send arbitrary AT commands to your modem
 modem-cmd can be used to send arbitrary AT commands to a modem device over
 a serial line.
 .
 This means it can be used as a phone dialer:
 .
 $ modem-cmd /dev/ttyUSB0 ATDT123456

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/modem-cmd-$1\.tar\.gz/ \
   https://github.com/imZack/modem-cmd/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
